[package]
name = "hermit-entry"
version = "0.10.2"
authors = ["Martin Kröning <mkroening@posteo.net>"]
edition = "2021"
description = "Hermit's loading and entry API."
repository = "https://github.com/hermitcore/hermit-entry"
license = "MIT OR Apache-2.0"
keywords = ["hermit", "unikernel"]
categories = ["api-bindings", "no-std", "virtualization"]

[package.metadata.docs.rs]
all-features = true
default-target = "x86_64-unknown-none"
targets = [
    "x86_64-unknown-none",
    "aarch64-unknown-none-softfloat",
    "riscv64imac-unknown-none-elf",
]
rustdoc-args = ["--cfg", "docsrs"]

[dependencies]
align-address = "0.3"
const_parse = "1"
goblin = { version = "0.9", default-features = false, features = ["elf64"], optional = true }
log = { version = "0.4", optional = true }
plain = { version = "0.2", optional = true }
time = { version = "0.3", default-features = false }

[features]
default = []
loader = ["log", "goblin", "plain"]
kernel = []
